JCRev r => dac;

3 => int N;
SinOsc m[N];
SqrOsc s[N];
LPF f[N];
HPF g[N];

// connect
for( int i; i < m.cap(); i++ )
{
    m[i] => s[i] => f[i] => g[i] => r;
    200 => m[i].freq;
    200 => m[i].gain;
    2 => s[i].sync;
    .1 => s[i].gain;
}

60 => Std.mtof => s[0].freq;
67 => Std.mtof => s[1].freq;
70 => Std.mtof => s[2].freq;

.05 => r.mix;

spork ~ control( s[0], f[0], g[0], 20::ms, .6 );
spork ~ control( s[1], f[1], g[1], 20::ms, .7 );
spork ~ control( s[2], f[2], g[2], 20::ms, .8 );

while( true )
{
    for( int i; i < s.cap(); i++ )
        X.sliders[7] * .03 => s[i].gain;
    20::ms => now;
}

fun void control( SqrOsc s, LPF f, HPF g, dur T, float freq )
{
  while( true )
  {
    //60.5 + .1 * Math.sin(now/second*50) => Std.mtof => s.freq;
    //200 + 50*Math.sin(now/second*.5) => m.gain;
    //200 + .1*Math.sin(now/second*3) => m.freq;
    s.freq()*1.5 + s.freq()*1*Math.sin(now/second*freq) => f.freq;
    f.freq() / 2 => g.freq;
    4 => f.Q;
    2 => g.Q;

    20::ms => now;
  }
}