
// drum pal
[ 12, 11, 14 ] @=> int pal[];

// strengths
[
  [ 1.0, 0.5, 0.8, 0.75, 0.9, 0.5, 0.75, 0.6, 1.0, 0.5, 0.8, 0.75, 0.9, 0.5, 0.9, 0.6 ]
] @=> float mygains[][];

int r, c;
int chan;
int which;
float gain;

// infinite time loop
while( true )
{
    // synch
    X.synch => now;

    // look for every N pulse
    if( !(X.synch.col % 2) )
    {
        0 => r;
        X.synch.col / 2 => c;

        X.sliders[11] * 2.5 => gain;
        if( X.pads[5] > 0 )
        {
            X.S.play( pal[0], chan++ % X.channels, 
                  mygains[r][c]*X.pads[5]*gain, .6 + .8*X.pads[5], 0 );
            X.S.play( pal[1], chan % X.channels, 
                  .25*mygains[r][c]*X.pads[5]*gain, .6 + .4*X.pads[5], 0 );
            X.S.play( pal[2], (chan + 1 ) % X.channels,
                  .5*mygains[r][c]*X.pads[5]*gain, .6 + .8*X.pads[5], 0 );
        }
    }
}
