// dur
74::ms => X.T;
// number of channels
6 => X.channels;
// number of hosts
1 => X.hosts;

// the X class
public class X
{
    // number of channels
    static int channels;

    // number of hosts
    static int hosts;

    // tempo thing
    static dur T;

    // midi sliders
    static float sliders[];

    // midi pads
    static float pads[];

    // triggers
    static Event @ down[];
    static Event @ up[];

    // synch event
    static SynchEvent @ synch;

    // switchboard
    static SwitchBoard @ S;

    // sound bank
    static SoundBank @ bank;
}

// allocate
new float[12] @=> X.sliders;
new float[16] @=> X.pads;
new Event[16] @=> X.down;
new Event[16] @=> X.up;
