
// strengths
[
  [ 1.0, 0.5,   0.7, 0.25, 0.9, 0.2,  0.7,  0.4 ],
  [ 1.0, 0.1,   0.5, 0.2,  0.8, 0.1,  0.0,  0.2 ],
  [ 1.0, 0.25,  0.5, 0.2,  0.8, 0.3,  0.25, 0.4 ],
  [ 1.0, 0.25,  0.5, 0.2,  0.8, 0.4,  0.25, 0.2 ],
  [ 1.0, 0.28,  1.0, 0.2,  0.9, 0.5,  0.25, 0.1 ],
  [ 1.0, 0.2,   0.5, 0.2,  0.8, 0.2,  0.75, 0.1 ],
  [ 1.0, 0.05,  0.5, 0.1,  0.8, 0.2,  0.6,  0.1 ]
] @=> float mygains[][];

int r, c;
int chan;

// infinite time loop
while( true )
{
    // synch
    X.synch => now;

    // look for every 2nd pulse
    if( !(X.synch.col % 2) )
    {
        X.synch.row => r;
        X.synch.col / 2 => c;

		 0 => int where;
        if( (1 - X.sliders[5] - Std.rand2f(0, X.sliders[6]) ) < mygains[r][c] )
        {
            X.S.play( 17, -1, X.sliders[3] * Math.pow( mygains[r][c], .3 ), 1, where);
            chan++;
        }
    }
}
