
// drum pal
[ 5, 6, 7, 8 ] @=> int pal[];

// strengths
[
  [ 1.0, 0.25, .5, 0.4, .75, 0.3, .5, 0.4, 1.0, 0.25, 0.4, 0.3, .9, 0.25, 1.0, 0.3 ]
] @=> float mygains[][];

int r, c;
int chan;
int which;
int doup;
float gain;

spork ~ up();

// infinite time loop
while( true )
{
    // synch
    X.synch => now;

    // look for every pulse
    if( !(X.synch.col % 2) )
    {
        0 => r;
        X.synch.col / 2 => c;
        X.sliders[11] * 2.5 => gain;
        if( X.pads[4] > 0 )
            X.S.play( pal[which++%pal.cap()], chan++ % X.channels, 
                  mygains[r][c]*X.pads[4]*3.0*gain, 1+.25*X.pads[4], 0 );
 
        // up
        if( doup /* && !(X.synch.col % 2) */ )
        {
            // <<< "ding!" >>>;
            X.S.play( 4, -1, Std.rand2f( 1.5, 2.0 )*gain, Std.rand2f(1,1.01), 0 );
            false => doup;
        }
    }
}

// catch up stroke
fun void up()
{
    while( true )
    {
        // wait
        X.up[4] => now;
        // set flag
        true => doup;
    }
}
