
// drum pal
[ 14, 11 ] @=> int pal[];

// strengths
[
  [ 1.0, 0.5, 0.8, 0.75, 0.9, 0.5, 0.75, 0.6, 1.0, 0.5, 0.8, 0.75, 0.9, 0.5, 0.9, 0.6 ]
] @=> float mygains[][];

int r, c;
int chan;
int which;
float gain;

// infinite time loop
while( true )
{
    // synch
    X.synch => now;

    // look for every N pulse
    if( true  )
    {
        0 => r;
        X.synch.col => c;

        X.sliders[11] * 2.5 => gain;
        if( X.pads[6] )
        {
            X.S.play( pal[c%2], -1, 
                  mygains[r][c]*X.pads[6]*2*gain, c % 2 ? 1.0 : .9 + .2*X.pads[6], 0 );
            X.S.play( pal[1], -1, 
                  .75*mygains[r][c]*X.pads[6]*gain, 1, 0 );
        }
    }
}
