// set

// make switch board
new SwitchBoard @=> X.S;

// make synch event
new SynchEvent @=> X.synch;

// reference sound bank
X.S.bank @=> X.bank;

// spork synch
spork ~ synch_listen();

// start listener
X.S.listen();

fun void synch_listen()
{
        // create our OSC receiver
        OscRecv recv;
        // use port 6449
        6449 => recv.port;
        // start listening (launch thread)
        recv.listen();

        // create an address in the receiver, store in new variable
        recv.event( "/manamana/synch, i i" ) @=> OscEvent oe;

        // infinite event loop
        while ( true )
        {
            // wait for event to arrive
            oe => now;

            // grab the next message from the queue. 
            while( oe.nextMsg() != 0 )
            {
                // get which
                oe.getInt() => X.synch.row;
                oe.getInt() => X.synch.col;

                // trigger event
                X.synch.broadcast();
            }
        }
}
