
// strengths
[
  [ 1.0, 0.25,  0.5, 0.25, 0.0, 0.05,  1.0,  0.1 ],
  [ 0.0, 0.1,   0.3, 0.2,  1.0, 0.1,   0.0,  0.2 ],
  [ 1.0, 0.25,  0.3, 0.2,  0.0, 0.025, 0.05, 0.04 ],
  [ 0.0, 0.25,  0.3, 0.2,  0.0, 0.025, 0.05, 0.02 ],
  [ 0.75, 0.28, 1.0, 0.2,  0.0, 0.025, 0.05, 0.02 ],
  [ 1.0, 0.2,   0.0, 0.2,  1.0, 0.02,  0.75, 0.05 ],
  [ 0.0, 0.05,  0.0, 0.1,  0.0, 0.02,  0.6,  0.05 ]
] @=> float mygains[][];

int r, c;
int chan;

// infinite time loop
while( true )
{
    // synch
    X.synch => now;

    // look for every 2nd pulse
    if( !(X.synch.col % 2) )
    {
        X.synch.row => r;
        X.synch.col / 2 => c;

		 0 => int where;
        if( (1 - X.sliders[9] - Std.rand2f(0, X.sliders[10]) ) < mygains[r][c] )
        {
            X.S.play( 16, -1, X.sliders[2] * Math.pow( mygains[r][c], .3 ), 1, where);
            chan++;
        }
    }
}
